<script>
	import {
		Advising,
		CurrentSemester,
		NextSemester,
		inputWithLabelContainerMainClass,
		inputWithLabelSectionClass
	} from '$lib/stores';
	import { allowInputInt } from '$lib/utils';
	import Toggle from 'flowbite-svelte/Toggle.svelte';
	import InputWithLabel from '../InputWithLabel.svelte';

	let currentSemester = $state($CurrentSemester);
	let advising = $state($Advising);
	let nextSemester = $state($NextSemester);
	let showResetUpdate = $state(false);

	$effect(() => {
		(currentSemester === $CurrentSemester || currentSemester === null) &&
		(advising === $Advising || advising === null) &&
		(nextSemester === $NextSemester || nextSemester === null)
			? (showResetUpdate = false)
			: (showResetUpdate = true);
	});
</script>

<main class="{inputWithLabelContainerMainClass} mb-6">
	<section class={inputWithLabelSectionClass}>Advising</section>
	<section class="{inputWithLabelSectionClass} h-10 !w-14 !col-span-2">
		<Toggle size="small" bind:checked={advising}></Toggle>
	</section>

	<InputWithLabel
		label="Current Semester"
		size="sm"
		bind:value={currentSemester}
		placeholder={$CurrentSemester}
		type="number"
		oninput={allowInputInt}
	/>

	<InputWithLabel
		label="Next Semester"
		size="sm"
		bind:value={nextSemester}
		placeholder={$NextSemester}
		type="number"
		oninput={allowInputInt}
	/>
	{#if showResetUpdate}
		<section class={inputWithLabelSectionClass}>
			<button
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
				onclick={() => {
					currentSemester = $CurrentSemester;
					advising = $Advising;
					nextSemester = $NextSemester;
					showResetUpdate = false;
				}}
			>
				Reset
			</button>
		</section>
		<section class={inputWithLabelSectionClass}>
			<button
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Update
			</button>
		</section>
	{/if}
</main>
